aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2017-07-05 10:53:11 +0200
committerPau Espin Pedrol <pespin@sysmocom.de>2017-07-05 10:53:13 +0200
commit3c35df3e286843bdfa9ab90a86f60b41f2f33b8f (patch)
treefb3892cf31c5996da1ad8c23a3b97cff64ebc7c0
parent800a697297320198c9c1ff135e8332d9fb3d6f65 (diff)
contrib: Fix removal of doc directories
The docs are actually not removed because the shell takes {libosmocore,libosmo-sccp} as a string literal if found inside quote marks, see [1] for more information. [1] https://unix.stackexchange.com/questions/67757/wildcards-inside-quotes Change-Id: Ida8941525db2d6a80539ffda29fb4fa74dbb1e16
-rw-r--r--contrib/jenkins-build-common.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 895cd63..efc621a 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -141,7 +141,7 @@ build_repo() {
create_bin_tgz() {
# don't package documentation -- the libosmocore docs can be up to 16 Mb large,
# a significant amount compared to the binaries
- rm -rf "$prefix_real/share/doc/{libosmocore,libosmo-sccp}" || true
+ rm -rf "$prefix_real/share/doc/"{libosmocore,libosmo-sccp} || true
# build the archive that is going to be copied to the tester
cd "$prefix_real"